Subject: Re: [PATCH 3/6] net: ethernet: ti: cpts: add support of cpts HW_TS_PUSH

From: Richard Cochran <[email-masked]>
Date: Sun, 4 Dec 2016 00:21:30 +0100

On Mon, Nov 28, 2016 at 05:04:25PM -0600, Grygorii Strashko wrote:
> This also change overflow polling period when HW_TS_PUSH feature is
> enabled - overflow check work will be scheduled more often (every
> 200ms) for proper HW_TS_PUSH events reporting.

For proper reporting, you should make use of the interrupt.  The small
fifo (16 iirc) could very well overflow in 200 ms.  The interrupt
handler should read out the entire fifo at each interrupt.

Thanks,
Richard